#include <iostream>
#include<algorithm>
using namespace std;

long ist(long a[],long n,long i)
{
    long bp=0;
    for(long j=i;j<n;j++)
    {
        if(a[i]==a[j])
            bp++;
            else
                break;
    }
    return bp;
}
int main()
{
   long  n,k;
   cin>>n>>k;
   long  a[n];
   for(long i=0;i<n;i++)
   {
       cin>>a[i];
   }
  sort(a,a+n);
   long bp=0;
   long b[n];
   for(long i=0;i<n;i++)
   {
      if( ist(a,n,i)>=k)
      {
          b[bp]=a[i];
          bp++;
          i=i+ist(a,n,i)-1;
      }
   }
   cout<<bp<<endl;
   for(long i=0;i<bp;i++)
    cout<<b[i]<<endl;


}